Skip to main content
`Ctrl`+`K`

# TaoKSPSetUseEW

Sets `SNES` to use Eisenstat-Walker method [EW96]for computing relative tolerance for linear solvers.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoKSPSetUseEW(Tao tao, PetscBool flag)

Logically Collective

## Input Parameters

- tao - Tao context

- flag - `PETSC_TRUE` or `PETSC_FALSE`

## Note

See `SNESKSPSetUseEW()` for customization details.

## References

[EW96]

S. C. Eisenstat and H. F. Walker. Choosing the forcing terms in an inexact Newton method. SIAM J. Scientific Computing, 17:16–32, 1996.

## See Also

TAO: Optimization Solvers, `Tao`, `SNESKSPSetUseEW()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages